#ifndef STATUSNOTIFIERPOPUP_H
#define STATUSNOTIFIERPOPUP_H

#include <QFrame>
#include <QTimer>
#include <Nde/GridLayout>
#include "statusnotifierbutton.h"
#include "statusnotifierwidget.h"

class INdePanelPlugin;
class StatusNotifierPopup : public StatusNotifierWidget
{
    Q_OBJECT
public:
    explicit StatusNotifierPopup(INdePanelPlugin *plugin, QWidget *parent = nullptr);

    void realign();

protected:
    bool event(QEvent *event) ;

private:
    INdePanelPlugin * mPlugin;

    int mOpacity; //背景透明度
    QColor mBackgroundColor; //背景色
};

#endif // STATUSNOTIFIERPOPUP_H
